#include "Gui.h"

Gui::Gui() {
	this->builder = gtk_builder_new();
}

Gui::~Gui() {
	g_object_unref(this->builder);
	this->builder = NULL;
}

gboolean Gui::loadInterface(const gchar *filename) {
	GError *error;
	
	error = NULL;
	gtk_builder_add_from_file(this->builder, filename, &error);
	if (error) {
		g_print("Wystąpił błąd: %s\n", error->message);
		g_error_free(error);
		return FALSE;
	}
	return TRUE;
}

GtkWidget* Gui::getWidget(const gchar *widgetName) {
	return GTK_WIDGET(gtk_builder_get_object(this->builder, widgetName));
}

GtkResponseType Gui::msgBoxYesNo(const gchar *message) {
	GtkWidget *dialog;
	dialog = gtk_message_dialog_new(NULL, GTK_DIALOG_MODAL, GTK_MESSAGE_QUESTION, GTK_BUTTONS_YES_NO, message);
	gtk_window_set_title(GTK_WINDOW(dialog), "Pytanie");
	GtkResponseType result = (GtkResponseType)gtk_dialog_run(GTK_DIALOG(dialog));
	gtk_widget_destroy(dialog);
	return result;
}
